Bug 438092 - Export network settings from ibft
Export network settings from ibft
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
5.2
i386 Linux
high Severity low
: rc
: ---
Assigned To: Mike Christie
:
Depends On:
Blocks: 435173
  Show dependency treegraph
 
Reported: 2008-03-18 19:18 EDT by Mike Christie
Modified: 2008-10-16 10:26 EDT (History)
9 users (show)

See Also:
Fixed In Version: RHBA-2008-0424
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:22:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Christie 2008-03-18 19:18:07 EDT
+++ This bug was initially created as a clone of Bug #435173 +++

Steps to reproduce:
1) Booting from RHEL5.2-Server-20080225.2-i386-DVD.iso
2) At syslinux prompt, type "linux rescue"
3) observer traceback

Running anaconda, the Red Hat Enterprise Linux Server rescue mode - please wait...
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 721, in ?
    anaconda.id = instdata.InstallData(anaconda, [], "fd0", anaconda.methodstr,
opts.display_mode)
  File "/usr/lib/anaconda/instdata.py", line 317, in __init__
    self.reset()
  File "/usr/lib/anaconda/instdata.py", line 56, in reset
    self.iscsi = iscsi.iscsi()
  File "/usr/lib/anaconda/iscsi.py", line 183, in __init__
    self.startup()
  File "/usr/lib/anaconda/iscsi.py", line 355, in startup
    t.startNode(node)
  File "/usr/lib/anaconda/iscsi.py", line 120, in startNode
    log.debug("iscsiadm %s" %(string.join(argv),))
  File "/usr/lib/python2.4/string.py", line 318, in join
    return sep.join(words)
TypeError: sequence item 5: expected string, NoneType found
install exited abnormally [1/1]
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
        /mnt/runtime done
        disabling /dev/loop0
        /proc/bus/usb done
        /proc done
        /dev/pts done
        /sys done
        /tmp/ramfs done
        /mnt/source done
        /selinux done
you may safely reboot your system

-- Additional comment from jlaska@redhat.com on 2008-02-27 14:04 EST --
Rescue-mode on iSCSI iBFT enabled system.  Raising for post-beta inclusion.  

-- Additional comment from jlaska@redhat.com on 2008-02-27 14:58 EST --
I believe the failure case here is booting stage#2 off of a local media source
(hd or disk).  Not network is available, but it attempts to initiate iscsi.

Should it prompt for networking details?
Should it not attempt to initialize iSCSI?

-- Additional comment from pjones@redhat.com on 2008-03-11 09:29 EST --
The ideal behavior is to bring the network up with the data that's in the iBFT.

-- Additional comment from jlaska@redhat.com on 2008-03-11 09:42 EST --
pjones: is this something that loader or anaconda should being doing?  Can you
provide a devel_ack or nack?

-- Additional comment from msivak@redhat.com on 2008-03-13 11:03 EST --
pjones: There is no network setup information in the iBFT table. At least we
didn't see any with jlaska on his test machine. We figured there is a way how to
setup networking using the boot prompt, but otherwise we are not sure what is
the best way to fix it.

I can disable the iSCSI login, when portal is not detected and it is probably
easy to setup networking or inform the user about missing networking during
instalation.

But the rescue mode is a question. I think it will be a bigger change to the
codebase, than I would like to be testing in this phase of RHEL 5.2 devel cycle.

-- Additional comment from jlaska@redhat.com on 2008-03-13 12:12 EST --
msivak: pjones: for the case of a CD/DVD installs, we already prompt the user
for network details if they choose to add an iSCSI install, would it make sense
to use that same mechanism when iBFT is configured?

re: rescue mode ... I'd recommend just documenting the steps to setup iscsi from
scratch and let the user handle that for now?  Thoughts?

-- Additional comment from msivak@redhat.com on 2008-03-17 08:48 EST --
mchristi: Is exposing the iBFT networking configuration supported in iscsiadm?
It seems we weren't able to print it using the standard tools.

-- Additional comment from mchristi@redhat.com on 2008-03-17 12:09 EST --
(In reply to comment #7)
> mchristi: Is exposing the iBFT networking configuration supported in iscsiadm?
> It seems we weren't able to print it using the standard tools.

It is not supported. I can add it real quick if you want it.

Let me know if you want this now for 5.2 or are going to do a work around for
5.2 and I should add it to 5.3, so I can make a bugzilla and try to get an
exception for 5.2 if I need to. 

-- Additional comment from msivak@redhat.com on 2008-03-18 08:37 EST --
mchristi: If it is easy enough, try to get the exception for 5.2. If not.. i
guess we will have to workaround it and try for 5.3 too.
Comment 2 James Laska 2008-03-19 08:33:00 EDT
I agree with Mike's comments in comment#1.  Having this information exported
will allow anaconda to properly handle network-less installations on iBFT
enabled systems.
Comment 11 Don Domingo 2008-04-01 22:09:52 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 13 Barry Donahue 2008-05-01 09:25:10 EDT
Verified by partner.
Comment 15 errata-xmlrpc 2008-05-21 13:22:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0424.html

Note You need to log in before you can comment on or make changes to this bug.